### Function

# Gimp color_parse_css

#### Declaration [src]

    GeglColor*
    gimp_color_parse_css (
      const gchar* css
    )

#### Description [src]

Attempts to parse a string describing an sRGB color in CSS notation. This can be either a numerical representation (`rgb(255,0,0)` or `rgb(100%,0%,0%)`) or a hexadecimal notation as parsed by `gimp_color_parse_hex()` (`##ff0000`) or a color name as parsed by `gimp_color_parse_css()` (`red`).

Additionally the `rgba()`, `hsl()` and `hsla()` functions are supported too.

#### Parameters

`css`

  Type: `const gchar*`

  A string describing a color in CSS notation.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglColor`

A newly allocated `GeglColor` if `css` was parsed successfully, `NULL` otherwise.

The caller of the function takes ownership of the data, and is responsible for freeing it.